haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | None

Medium.Temporal

# Documentation

type Dur = Rational Source

class C a where Source

Methods

dur :: a -> Dur Source

none :: Dur -> aSource

Instances

C a => C (T a) |
C a => C (T a) |
C (Primitive note) |
(C a, Control control) => C (T control a) |

class Control control where Source

Methods

controlDur :: control -> Dur -> Dur Source

anticontrolDur :: control -> Dur -> Dur Source

Instances

Control Control |